package robotarm_profile.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import org.robotservices.schemas.v02.common_profile.RoboHeader;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
	"roboHeader",
    "joint1_radian",
    "joint2_radian",
    "joint3_radian",
    "joint4_radian",
    "joint5_radian",
})
@XmlRootElement(name = "robotarm_profile",namespace="http://www.robotservices.org/schemas/Robot_arm_profile_move_arm")
public class Robotarm_profile_move_arm {

	    @XmlElement(name="robo_header", namespace = "http://www.robotservices.org/schemas/V02/Common_profile", required = true)
	    protected RoboHeader roboHeader;

	    public RoboHeader getRoboHeader() {
	        return roboHeader;
	    }
	    public void setRoboHeader(RoboHeader value) {
	        this.roboHeader = value;
	    }

	    @XmlElement(name="joint1_radian")
	    private double joint1_radian;
	    @XmlElement(name="joint2_radian")
	    private double joint2_radian;
	    @XmlElement(name="joint3_radian")
	    private double joint3_radian;
	    @XmlElement(name="joint4_radian")
	    private double joint4_radian;
	    @XmlElement(name="joint5_radian")
	    private double joint5_radian;

		public double getJoint1_radian() {
			return joint1_radian;
		}
		public void setJoint1_radian(double joint1_radian) {
			this.joint1_radian = joint1_radian;
		}
		public double getJoint2_radian() {
			return joint2_radian;
		}
		public void setJoint2_radian(double joint2_radian) {
			this.joint2_radian = joint2_radian;
		}
		public double getJoint3_radian() {
			return joint3_radian;
		}
		public void setJoint3_radian(double joint3_radian) {
			this.joint3_radian = joint3_radian;
		}
		public double getJoint4_radian() {
			return joint4_radian;
		}
		public void setJoint4_radian(double joint4_radian) {
			this.joint4_radian = joint4_radian;
		}
		public double getJoint5_radian() {
			return joint5_radian;
		}
		public void setJoint5_radian(double joint5_radian) {
			this.joint5_radian = joint5_radian;
		}


}
